#include "IDAReplayObserver.h"
#include "Util.h"

void IDAReplayObserver::setUnits()
{
	std::cout << "setunits" << std::endl;
	m_allUnits.clear();
	Control()->GetObservation();
	for (auto & unit : Observation()->GetUnits())
	{
		m_allUnits.push_back(UnitInformation(unit, *this));
	}
}

IDAReplayObserver::IDAReplayObserver():
	sc2::ReplayObserver()
{
}

void IDAReplayObserver::OnGameStart()
{
	setUnits();

}

void IDAReplayObserver::OnStep()
{
	setUnits();

}

const std::vector<UnitInformation>& IDAReplayObserver::GetAllUnits() const
{
	return m_allUnits;
}


